Servers - Delete
Deletes the specified Analysis Services server.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AnalysisServices/servers/{serverName}?api-version=2017-08-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+$ |
The name of the Azure Resource group of which a given Analysis Services server is part. This name must be at least 1 character in length, and no more than 90. |
|
server
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-z][a-z0-9]*$ |
The name of the Analysis Services server. It must be at least 3 characters in length, and no more than 63. |
|
subscription
|
path | True |
string |
A unique identifier for a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
The client API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. |
|
| 202 Accepted |
Accepted. |
|
| 204 No Content |
No Content. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Delete a server.
Sample request
DELETE https://management.azure.com/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/resourceGroups/TestRG/providers/Microsoft.AnalysisServices/servers/azsdktest?api-version=2017-08-01
Sample response
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Describes the format of Error response. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| httpStatusCode |
integer (int32) |
The http status code |
| message |
string |
The error message. |
| subCode |
integer (int32) |
The error sub code |
| target |
string |
The error target. |
| timeStamp |
string |
the timestamp for the error. |
ErrorResponse
Describes the format of Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error object |